###################################################
### chunk number 1: 
###################################################
library(pendensity)


###################################################
### chunk number 2: 
###################################################
set.seed(27)
y <- rnorm(100)
test <- pendensity(y~1)


###################################################
### chunk number 3: fig1
###################################################
plot(test)


###################################################
### chunk number 4: 
###################################################
set.seed(27)
x <- rep(c(0,1),200)
y <- rnorm(400,x*0.5,1)
test2 <- pendensity(y~as.factor(x))


###################################################
### chunk number 5: fig2
###################################################
plot(test2)


###################################################
### chunk number 6: 
###################################################
test.equal(test2)


###################################################
### chunk number 7: 
###################################################
x <- c(rep(0,50),rep(1,100),rep(2,100))
y <- rnorm(250,x,1)
x <- as.factor(x)
test3 <- pendensity(y~x)


###################################################
### chunk number 8: fig11
###################################################
plot(test3,latt=TRUE)


###################################################
### chunk number 9: 
###################################################
test.equal(test3)


###################################################
### chunk number 10: 
###################################################
points <- c(1,-0.5,0,0.5,1)
plot(test,val=points)


###################################################
### chunk number 11: 
###################################################
points <- c(1,-0.5,0,0.5,1)
plot(test2,val=points)


###################################################
### chunk number 12: 
###################################################
data(Allianz)
form<-'%d.%m.%y'
time.Allianz <- strptime(Allianz[,1],form)
data.Allianz <- Allianz[which(time.Allianz$year==106),2]
d.Allianz <- diff(data.Allianz)
density.Allianz <- pendensity(d.Allianz~1)


###################################################
### chunk number 13: fig3
###################################################
plot(density.Allianz)


###################################################
### chunk number 14: fig4
###################################################
plot(density.Allianz,latt=TRUE)


###################################################
### chunk number 15: 
###################################################
data.Allianz <- Allianz[which(time.Allianz$year==106|time.Allianz$year==107),2]
d.Allianz <- diff(data.Allianz)
density.Allianz2 <- pendensity(d.Allianz~as.factor(time.Allianz$year))


###################################################
### chunk number 16: fig5
###################################################
plot(density.Allianz2)


###################################################
### chunk number 17: fig6
###################################################
plot(density.Allianz2,latt=TRUE)


###################################################
### chunk number 18: 
###################################################
test.equal(density.Allianz2)


###################################################
### chunk number 19: 
###################################################
set.seed(27)
y <- rnorm(400)
density1 <- pendensity(y~1,no.base=10)
density2 <- pendensity(y~1,no.base=15)
density3 <- pendensity(y~1,no.base=20)
density4 <- pendensity(y~1,no.base=25)              


###################################################
### chunk number 20: fig7
###################################################
plot(density1)


###################################################
### chunk number 21: fig8
###################################################
plot(density2)


###################################################
### chunk number 22: fig9
###################################################
plot(density3)


###################################################
### chunk number 23: fig10
###################################################
plot(density4)


